<?php
/**
 * Plugin rewrite functions.
 *
 * @package    AdveitsPortfolio
 * @subpackage Includes
 * @author     Adveits <support@adveits.com>
 * @copyright  Copyright (c) 2019, Adveits
 * @link       https://store.adveits.com/
 * @license    https://www.gnu.org/licenses/gpl-2.0.html
 */

/**
 * Returns the item rewrite slug used for single items.
 *
 * @since  1.0.0
 * @access public
 * @return string
 */
function adveits_portfolio_get_item_rewrite_slug() {
	$portfolio_base = adveits_portfolio_get_portfolio_rewrite_base();
	$item_base      = adveits_portfolio_get_item_rewrite_base();

	$slug = $item_base ? trailingslashit( $portfolio_base ) . $item_base : $portfolio_base;

	return apply_filters( 'adveits_portfolio_get_item_rewrite_slug', $slug );
}

/**
 * Returns the category rewrite slug used for category archives.
 *
 * @since  1.0.0
 * @access public
 * @return string
 */
function adveits_portfolio_get_category_rewrite_slug() {
	$portfolio_base = adveits_portfolio_get_portfolio_rewrite_base();
	$category_base  = adveits_portfolio_get_category_rewrite_base();

	$slug = $category_base ? trailingslashit( $portfolio_base ) . $category_base : $portfolio_base;

	return apply_filters( 'adveits_portfolio_get_category_rewrite_slug', $slug );
}

/**
 * Returns the tag rewrite slug used for tag archives.
 *
 * @since  1.0.0
 * @access public
 * @return string
 */
function adveits_portfolio_get_tag_rewrite_slug() {
	$portfolio_base = adveits_portfolio_get_portfolio_rewrite_base();
	$tag_base       = adveits_portfolio_get_tag_rewrite_base();

	$slug = $tag_base ? trailingslashit( $portfolio_base ) . $tag_base : $portfolio_base;

	return apply_filters( 'adveits_portfolio_get_tag_rewrite_slug', $slug );
}
