<?php 
//=================================================
// Plugin Name: Loversy core
// Description: Add-ons for Loversy theme
// Plugin URI:  https://store.adveits.com/
// Author:      Adveits
// Author       URI: https://www.adveits.com/
// Version:     1.0.0
// License:     GPL 2.0
// License URI: https://www.gnu.org/licenses/gpl-2.0.html
// Text Domain: loversy-core
// Domain Path: /languages
//
// @package   LoversyCore
// @version   1.0.0
// @author    Adveits <support@adveits.com>
// @copyright Copyright (c) 2020, Adveits
// @link      https://store.adveits.com/
// @license   https://www.gnu.org/licenses/gpl-2.0.html
//=================================================

define( 'LOVERSY_CORE_VERSION', '1.0.0' );
define( 'LOVERSY_CORE_FILE', __FILE__ );
define( 'LOVERSY_CORE_BASE_URL', plugins_url( '/', LOVERSY_CORE_FILE ) );
define( 'LOVERSY_CORE_BASE_PATH', plugin_dir_path( LOVERSY_CORE_FILE ) );

//=================================================
// Required files
//=================================================
// Shortcodes
require_once LOVERSY_CORE_BASE_PATH . '/inc/shortcodes/loversy-shortcodes.php';

// Template redirect
require_once LOVERSY_CORE_BASE_PATH . '/inc/template/loversy-template-redirect.php';

// Recent posts widget
require_once LOVERSY_CORE_BASE_PATH . '/inc/widgets/loversy-recent-posts-widget.php';

// Elementor
require_once LOVERSY_CORE_BASE_PATH . '/inc/elementor/loversy-elementor.php';

//=================================================
// Load translations if they are available
//=================================================
function loversy_core_load_translations() {
    load_plugin_textdomain( 'loversy-core', false, __DIR__ );
}

add_action( 'plugins_loaded', 'loversy_core_load_translations' );

//=================================================
// Widget register
//=================================================
function loversy_register_custom_widgets() {
    register_widget( 'Loversy_Widget_Recent_Posts' );
}

add_action( 'widgets_init', 'loversy_register_custom_widgets' );
