<?php
//=================================================
// The template for displaying 404 pages (not found)
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

get_header();

$image_404 = get_theme_mod( 'image_404' );

if ( $image_404 ) {
    $image_404 = wp_get_attachment_image_src( $image_404, 'medium_large' );
}
?>

    <div id="page-content">
        <div class="wrapper">
            <div class="content">
                <div class="row gutter-width-md">
                    <div class="col-11 col-sm-10 col-md-9 col-lg-6 col-xl-6">
                        <section id="page-title">
                            <div class="title">
                                <h1><?php esc_html_e( '404', 'loversy' ); ?></h1>
                            </div>
                        </section><!-- #page-title -->

                        <p class="text after"><?php esc_html_e( "The page you were looking for couldn't be found. The page could be removed or you misspelled the word while searching for it. Maybe try a search?", 'loversy' ); ?></p>

                        <div class="form">
                            <?php get_search_form(); ?>
                        </div>

                        <div class="button">
                            <a title="<?php esc_attr_e( 'Back to homepage', 'loversy' ); ?>" class="btn btn-outline-primary text-uppercase" href="<?php echo esc_url( home_url() ); ?>"><?php esc_html_e( 'Back to homepage', 'loversy' ); ?></a>
                        </div>
                    </div>

                    <div class="col-1 col-sm-2 col-md-3 col-lg-6 col-xl-6">
                        <div class="img-404">
                            <?php if ( $image_404 ) : ?>
                                <img src="<?php echo esc_url( $image_404[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
                            <?php else : ?>
                                <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/404/404-img.png" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- #page-content -->

<?php
get_footer();
