//=================================================
// Load more
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

jQuery( function( $ ) {
    'use strict';

    // Post
    $( 'body' ).on( 'click', '#loadmore', function() {
        if ( $( this ).data( 'requestRunning' ) ) {
            return;
        }

        $( this ).data( 'requestRunning', true );

        var button  = $( this );
        var results = $( '#results' );
        var type    = button.attr( 'data-type' );

        $.ajax( {
            url: loversy_loadmore_params.ajaxurl,
            data: {
                'action': 'loadmore',
                'query': loversy_loadmore_params.posts,
                'page': loversy_loadmore_params.current_page,
                'type': type
            },
            type: 'POST',
            beforeSend: function( xhr ) {
                button.text( loversy_loadmore_params.loading_text );
            },
            success: function( data ) {
                if ( data ) {
                    button.text( loversy_loadmore_params.load_more_text ).prev().before( data );
                    results.append( data );
                    loversy_loadmore_params.current_page++;

                    if ( loversy_loadmore_params.current_page == loversy_loadmore_params.max_page )
                        button.closest( '.loadmore' ).remove();
                } else {
                    button.closest( '.loadmore' ).remove();
                }

                button.data( 'requestRunning', false );
            }
        } );

        return false;
    } );

    // Comment
    $( 'body' ).on( 'click', '#comment_loadmore', function() {
        if ( $( this ).data( 'requestRunning' ) ) {
            return;
        }

        $( this ).data( 'requestRunning', true );

        var button = $( this );

        cpage--;

        $.ajax( {
            url: loversy_loadmore_params.ajaxurl,
            data: {
                'action': 'cloadmore',
                'post_id': parent_post_id,
                'cpage': cpage
            },
            type: 'POST',
            beforeSend: function( xhr ) {
                button.text( loversy_loadmore_params.loading_text );
            },
            success: function( data ) {
                if ( data ) {
                    $( 'ul.comment-list' ).append( data );
                    window.addComment.init();

                    button.text( loversy_loadmore_params.more_comments_text );

                    if ( cpage == 1 )
                        button.closest( '.loadmore' ).remove();
                } else {
                    button.closest( '.loadmore' ).remove();
                }

                button.data( 'requestRunning', false );
            }
        } );

        return false;
    } );

    $( '#cancel-comment-reply-link' ).addClass( 'btn btn-link btn-line p-0 border-0 min-w-auto text-uppercase' );
} );
