<?php
//=================================================
// Gutenberg
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

//=================================================
// Gutenberg features
//=================================================
function loversy_gutenberg_features() {
    add_editor_style( 'assets/css/wordpress-style.min.css' );
    
    add_theme_support( 'align-wide' );
    
    add_theme_support( 'editor-styles' );
    
    add_theme_support(
        'editor-color-palette', array(
            array(
                'name'  => esc_html__( 'White theme color', 'loversy' ),
                'slug'  => 'white',
                'color' => '#ffffff'
            ),
            array(
                'name'  => esc_html__( 'Gray theme color', 'loversy' ),
                'slug'  => 'gray',
                'color' => '#979797'
            ),
            array(
                'name'  => esc_html__( 'Gray light theme color', 'loversy' ),
                'slug'  => 'gray-light',
                'color' => '#e0e0e0'
            ),
            array(
                'name'  => esc_html__( 'Gray dark theme color', 'loversy' ),
                'slug'  => 'gray-dark',
                'color' => '#79766f'
            ),
            array(
                'name'  => esc_html__( 'Blue theme color', 'loversy' ),
                'slug'  => 'blue',
                'color' => '#34486f'
            ),
            array(
                'name'  => esc_html__( 'Indigo theme color', 'loversy' ),
                'slug'  => 'indigo',
                'color' => '#5513c1'
            ),
            array(
                'name'  => esc_html__( 'Purple theme color', 'loversy' ),
                'slug'  => 'purple',
                'color' => '#614691'
            ),
            array(
                'name'  => esc_html__( 'Pink theme color', 'loversy' ),
                'slug'  => 'pink',
                'color' => '#ee85b5'
            ),
            array(
                'name'  => esc_html__( 'Red theme color', 'loversy' ),
                'slug'  => 'red',
                'color' => '#be404c'
            ),
            array(
                'name'  => esc_html__( 'Orange theme color', 'loversy' ),
                'slug'  => 'orange',
                'color' => '#df9659'
            ),
            array(
                'name'  => esc_html__( 'Yellow theme color', 'loversy' ),
                'slug'  => 'yellow',
                'color' => '#dfbb4e'
            ),
            array(
                'name'  => esc_html__( 'Green theme color', 'loversy' ),
                'slug'  => 'green',
                'color' => '#274035'
            ),
            array(
                'name'  => esc_html__( 'Teal theme color', 'loversy' ),
                'slug'  => 'teal',
                'color' => '#5f8f81'
            ),
            array(
                'name'  => esc_html__( 'Cyan theme color', 'loversy' ),
                'slug'  => 'cyan',
                'color' => '#397782'
            )
        )
    );
}

add_action( 'after_setup_theme', 'loversy_gutenberg_features', 16 );
