//=================================================
// Welcome script
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

jQuery( function( $ ) {
    'use strict';

    //=================================================
    // TABS
    //=================================================
    function tabs() {
        var tabs = $( '.loversy-content' );
        var link = $( '.loversy-click' );
        var hash = window.location.hash.split( '#' )[1];

        // Click tab
        tabs.each( function() {
            var tab                 = $( this ),
                tab_items           = tab.find( '.nav-tab-wrapper' ),
                tab_content_wrapper = tab.children( '.nav-tab-content' );

            tab_items.on( 'click', 'a', function( event ) {
                event.preventDefault();

                var selected_item = $( this );

                if ( ! selected_item.hasClass( 'nav-tab-active' ) ) {
                    var selected_tab     = selected_item.data( 'content' );
                    var selected_content = tab_content_wrapper.find( 'div[data-content="' + selected_tab + '"]' );

                    selected_item.addClass( 'nav-tab-active' ).siblings( 'a' ).removeClass( 'nav-tab-active' );
                    selected_content.addClass( 'current' ).siblings( 'div' ).removeClass( 'current' );

                    window.location.hash = selected_tab;
                }
            } );
        } );

        // Click link
        link.each( function() {
            var link = $( this );

            link.on( 'click', function( event ) {
                event.preventDefault();

                var tab_items           = $( '.nav-tab-wrapper' );
                var tab_content_wrapper = $( '.nav-tab-content' );

                var selected_item    = $( this );
                var selected_tab     = selected_item.data( 'content' );
                var selected_content = tab_content_wrapper.find( 'div[data-content="' + selected_tab + '"]' );

                tab_items.find( 'a[data-content="' + selected_tab + '"]' ).addClass( 'nav-tab-active' ).siblings( 'a' ).removeClass( 'nav-tab-active' );
                selected_content.addClass( 'current' ).siblings( 'div' ).removeClass( 'current' );

                window.location.hash = selected_tab;

                // Add/remove 'this' class on plugin card
                if ( $( '.install-plugins .row .col-3' ).hasClass( 'this' ) ) {
                    $( '.install-plugins .row .col-3' ).removeClass( 'this' );
                }

                if ( $( link ).data( 'plugin' ) ) {
                    var plugin = '#' + selected_item.data( 'plugin' );
                    $( plugin ).addClass( 'this' );

                    $( 'html, body' ).animate( {
                        scrollTop: $( plugin ).offset().top
                    }, 'slow' );
                }
            } );
        } );

        // Checking url
        if ( hash ) {
            $( '.nav-tab-wrapper' ).find( 'a.nav-tab-active' ).removeClass( 'nav-tab-active' );
            $( '.nav-tab-content' ).find( 'div.current' ).removeClass( 'current' );

            $( '.nav-tab-wrapper' ).find( 'a[data-content="' + hash + '"]' ).addClass( 'nav-tab-active' );
            $( '.nav-tab-content' ).find( 'div[data-content="' + hash + '"]' ).addClass( 'current' );
        }
    }

    $( document ).on( 'ready', function() {
        tabs();
    } );
} );
