<?php
//=================================================
// Activation
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================
?>

<div class="template-activation">
    <h3><?php printf( esc_html__('%s theme license activation','loversy'), esc_html( $theme_name ) ); ?></h3>
    
    <?php if ( get_transient( 'loversy_registration_message' ) == 0 && get_transient( 'loversy_registration_message' ) != null ) : ?>
        <div class="notification notification-error">
            <p><strong><?php esc_html_e( 'Purchase code is invalid.', 'loversy' ); ?></strong></p>
            <p><?php esc_html_e( 'Please check your purchase code and re-enter. Looking for help?', 'loversy' ); ?> <a href="mailto:<?php echo esc_attr( $theme_author_email ); ?>" target="_blank"><?php esc_html_e( 'Contact us', 'loversy' ); ?></a></p>
        </div>
    <?php endif; ?>
    
    <?php delete_transient( 'loversy_registration_message' ); ?>
    
    <p><?php printf( esc_html__('Register your license to get the full access of %s theme features: install and update theme, plugins, get a full access of Customizer and Elementor features, install demo content etc.','loversy'), esc_html( $theme_name ) ); ?></p>
    <p><strong><?php esc_html_e( 'Get done with it in two easy steps:', 'loversy' ); ?></strong></p>

    <ul class="decimal-style">
        <li><?php esc_html_e( '1). Enter your Purchase code from Themeforest.', 'loversy' ); ?> <a href="<?php echo esc_url( $theme_purchase_code_url ); ?>" target="_blank"><?php esc_html_e( 'How to get it?', 'loversy' ); ?></a></li>
        <li><?php esc_html_e( '2). Hit REGISTER button.', 'loversy' ); ?></li>
    </ul>

    <form action="<?php echo esc_url( admin_url( 'admin-post.php' ) ); ?>" class="loversy-activation-form" method="post">
        <label for="loversy_purchase_code"><?php esc_html_e( 'Themeforest purchase code:', 'loversy' ); ?></label>
        <input id="loversy_purchase_code" type="password" name="loversy_purchase_code" placeholder="<?php esc_attr_e( 'Purchase code', 'loversy' ); ?>">
        <input type="hidden" name="action" value="activation_status">
        <button type="submit" class="button button-primary"><?php esc_html_e( 'REGISTER', 'loversy' ); ?></button>
    </form>
</div>
