<?php
//=================================================
// Getting started
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================
?>

<div class="getting-started nav-content current" data-content="getting-started">
    <h2><?php printf( esc_html__('Thank you for purchasing %s theme!','loversy'), esc_html( $theme_name ) ); ?></h2>
    <p><?php esc_html_e( 'We hope you will enjoy it!', 'loversy' ); ?></p>
    
    <br>
    <hr>

    <h3><?php esc_html_e( 'Initial setup steps:', 'loversy' ); ?></h3>

    <div class="row">
        <div class="col-3">
            <h4 class="mt-0"><i class="dashicons dashicons-yes-alt"></i><?php esc_html_e( 'Check system status', 'loversy' ); ?></h4>
            <p><?php esc_html_e( 'Check your system status in "System Status" tab and ensure required settings.', 'loversy' ); ?></p>
            
            <a class="loversy-click button button-secondary button-large" href="#" data-content="system-status"><?php esc_html_e( 'Check system', 'loversy' ); ?></a>
        </div>

        <div class="col-3">
            <h4 class="mt-0"><i class="dashicons dashicons-plugins-checked"></i><?php esc_html_e( 'Activate theme plugins', 'loversy' ); ?></h4>
            <p><?php printf( esc_html__('Check out useful plugins that work well with %s theme.','loversy'), esc_html( $theme_name ) ); ?></p>
            
            <a class="loversy-click button button-secondary button-large" href="#" data-content="install-plugins"><?php esc_html_e( 'Active plugins', 'loversy' ); ?></a>
        </div>

        <div class="col-3">
            <h4 class="mt-0"><i class="dashicons dashicons-schedule"></i><?php esc_html_e( 'Import demo content', 'loversy' ); ?></h4>
            <p><?php esc_html_e( 'Import pre-made layouts to get started right away.', 'loversy' ); ?></p>
            
            <a class="loversy-click button button-secondary button-large" href="#" data-content="install-demos"><?php esc_html_e( 'Install demos', 'loversy' ); ?></a>
        </div>
    </div>

    <hr>

    <h3><?php esc_html_e( 'Theme settings:', 'loversy' ); ?></h3>

    <div class="row">
        <div class="col-3">
            <h4 class="mt-0">
                <i class="dashicons dashicons-admin-appearance"></i><?php esc_html_e( 'Customize theme', 'loversy' ); ?>
            </h4>
            <p><?php esc_html_e( 'Customize your theme in any way you want: change colors, fonts, text and a lot more.', 'loversy' ); ?></p>
            
            <a class="button button-secondary button-large" href="<?php echo esc_url( admin_url( 'customize.php?autofocus[panel]=panel_loversy_options' ) ); ?>" target="_blank"><?php esc_html_e( 'Customize', 'loversy' ); ?></a>
        </div>

        <div class="col-3">
            <?php if ( class_exists( 'Envato_Market' ) ) : ?>
                <h4 class="mt-0">
                    <i class="dashicons dashicons-rss"></i><?php printf( esc_html__('Automatic theme updates are %s','loversy'), '<span class="green">'. esc_html__( 'ON', 'loversy' ) .'</span>' ); ?>
                </h4>
                <p><?php echo wp_kses( __( 'You can receive automatic updates from Themeforest, where our theme is exclusively sold. <br> Just enter your Marketplace token at the link below.', 'loversy' ), 'loversy-theme-welcome' ); ?></p>
            
                <a href="<?php echo esc_url( admin_url( 'admin.php?page=envato-market' ) ); ?>" target="_blank" class="button button-secondary button-large"><?php esc_html_e( 'Setup updates', 'loversy' ); ?></a>
            <?php else : ?>
                <h4 class="mt-0">
                    <i class="dashicons dashicons-rss"></i><?php printf( esc_html__('Automatic theme updates are %s','loversy'), '<span class="red">'. esc_html__( 'OFF', 'loversy' ) .'</span>' ); ?>
                </h4>
                <p><?php esc_html_e( 'Automatic updates are disabled. Please enable Envato market plugin to receive automatic updates.', 'loversy' ); ?></p>
            
                <a class="loversy-click button button-secondary button-large" href="#" data-content="install-plugins" data-plugin="envato-market"><?php esc_html_e( 'Enable auto updates', 'loversy' ); ?></a>
            <?php endif; ?>
        </div>
    </div>

    <hr>
    <br>

    <h3><?php esc_html_e( 'Useful links:', 'loversy' ); ?></h3>
    
    <a href="<?php echo esc_url( $theme_documentation_url ); ?>" target="_blank"><?php esc_html_e( 'Documentation', 'loversy' ); ?></a>
    <br>
    <a href="mailto:<?php echo esc_attr( $theme_author_email ); ?>" target="_blank"><?php esc_html_e( 'Support', 'loversy' ); ?></a>
    <br>
    <a href="<?php echo esc_url( $theme_fb_community ); ?>" target="_blank"><?php esc_html_e( 'Facebook Community', 'loversy' ); ?></a>
</div>
