<?php
//=================================================
// Install demos
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================
?>

<div class="install-demos nav-content" data-content="install-demos">
    <h3><?php esc_html_e( 'Install demo content:', 'loversy' ); ?></h3>
    
    <?php if ( isset( $_GET['plugin'] ) && $_GET['plugin'] == 'one-click-demo-import' && ( ( isset( $_GET['loversy-activate'] ) && $_GET['loversy-activate'] == 'activate-plugin' ) || ( isset( $_GET['loversy-deactivate'] ) && $_GET['loversy-deactivate'] == 'deactivate-plugin' ) ) ): ?>
        <p><?php esc_html_e( 'Your page does not refreshed automatically. Please press "Refresh page" to manually update page information.', 'loversy' ); ?></p>

        <a class="button button-primary button-large" href="#" data-content="" onclick="location.href='<?php echo esc_url( admin_url( 'themes.php?page=welcome_to_'. $theme_slug .'_theme#install-demos' ) ); ?>'"><?php esc_html_e( 'Refresh page', 'loversy' ); ?></a>
    <?php else : ?>
        <?php if ( class_exists( 'OCDI_Plugin' ) ) : ?>
            <?php
            $ocdi = OCDI\OneClickDemoImport::get_instance();
            
            $predefined_themes = $ocdi->import_files;
            
            if ( ! empty( $ocdi->import_files ) && isset( $_GET['import-mode'] ) && 'manual' === $_GET['import-mode'] ) {
                $predefined_themes = array();
            } ?>

            <div class="ocdi__response  js-ocdi-ajax-response"></div>

            <p><?php esc_html_e( 'When you import the data, the following things might happen:', 'loversy' ); ?></p>

            <ul>
                <li><?php esc_html_e( 'No existing posts, pages, categories, images, custom post types or any other data will be deleted or modified.', 'loversy' ); ?></li>
                <li><?php esc_html_e( 'Posts, pages, images, widgets, menus and other theme settings will get imported.', 'loversy' ); ?></li>
                <li><?php esc_html_e( 'Please click on the Import button only once and wait, it can take a couple of minutes.', 'loversy' ); ?></li>
            </ul>
            
            <?php if ( ! empty( $this->import_files ) ) : ?>
                <?php if ( empty( $_GET['import-mode'] ) || 'manual' !== $_GET['import-mode'] ) : ?>
                    <a href="<?php echo esc_url(
                        add_query_arg(
                            array(
                                'page'        => $this->plugin_page_setup['menu_slug'],
                                'import-mode' => 'manual'
                            ), admin_url( $this->plugin_page_setup['parent_slug'] )
                        )
                    ); ?>" class="ocdi__import-mode-switch"><?php esc_html_e( 'Switch to manual import!', 'loversy' ); ?></a>
                <?php else : ?>
                    <a href="<?php echo esc_url( add_query_arg( array( 'page' => $this->plugin_page_setup['menu_slug'] ), admin_url( $this->plugin_page_setup['parent_slug'] ) ) ); ?>" class="ocdi__import-mode-switch"><?php esc_html_e( 'Switch back to theme predefined imports!', 'loversy' ); ?></a>
                <?php endif; ?>
            <?php endif; ?>

            <hr>

            <div class="ocdi__gl  js-ocdi-gl">
                <?php
                // Prepare navigation data.
                $categories = OCDI\Helpers::get_all_demo_import_categories( $predefined_themes );
                ?>
                
                <?php if ( ! empty( $categories ) ) : ?>
                    <div class="ocdi__gl-header  js-ocdi-gl-header">
                        <nav class="ocdi__gl-navigation">
                            <ul>
                                <li class="active">
                                    <a href="#all" class="ocdi__gl-navigation-link  js-ocdi-nav-link"><?php esc_html_e( 'All', 'loversy' ); ?></a>
                                </li>
                                <?php foreach ( $categories as $key => $name ) : ?>
                                    <li>
                                        <a href="#<?php echo esc_attr( $key ); ?>" class="ocdi__gl-navigation-link  js-ocdi-nav-link"><?php echo esc_html( $name ); ?></a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </nav>
                        <div clas="ocdi__gl-search">
                            <input type="search" class="ocdi__gl-search-input  js-ocdi-gl-search" name="ocdi-gl-search" value="" placeholder="<?php esc_attr_e( 'Search demos...', 'loversy' ); ?>">
                        </div>
                    </div>
                <?php endif; ?>

                <div class="ocdi__gl-item-container  wp-clearfix  js-ocdi-gl-item-container">
                    <?php foreach ( $predefined_themes as $index => $import_file ) : ?>
                        <?php
                        // Prepare import item display data.
                        $img_src = isset( $import_file['import_preview_image_url'] ) ? $import_file['import_preview_image_url'] : '';
                        // Default to the theme screenshot, if a custom preview image is not defined.
                        if ( empty( $img_src ) ) {
                            $theme   = wp_get_theme();
                            $img_src = $theme->get_screenshot();
                        }
                        
                        ?>
                        <div class="ocdi__gl-item js-ocdi-gl-item" data-categories="<?php echo esc_attr( OCDI\Helpers::get_demo_import_item_categories( $import_file ) ); ?>" data-name="<?php echo esc_attr( strtolower( $import_file['import_file_name'] ) ); ?>">
                            <div class="ocdi__gl-item-image-container">
                                <?php if ( ! empty( $img_src ) ) : ?>
                                    <img class="ocdi__gl-item-image" src="<?php echo esc_url( $img_src ) ?>">
                                <?php else : ?>
                                    <div class="ocdi__gl-item-image  ocdi__gl-item-image--no-image"><?php esc_html_e( 'No preview image.', 'loversy' ); ?></div>
                                <?php endif; ?>
                            </div>
                            <div class="ocdi__gl-item-footer<?php echo ! empty( $import_file['preview_url'] ) ? '  ocdi__gl-item-footer--with-preview' : ''; ?>">
                                <h4 class="ocdi__gl-item-title" title="<?php echo esc_attr( $import_file['import_file_name'] ); ?>"><?php echo esc_html( $import_file['import_file_name'] ); ?></h4>
                                <button class="ocdi__gl-item-button  button  button-primary  js-ocdi-gl-import-data" value="<?php echo esc_attr( $index ); ?>"><?php esc_html_e( 'Import', 'loversy' ); ?></button>
                                <?php if ( ! empty( $import_file['preview_url'] ) ) : ?>
                                    <a class="ocdi__gl-item-button  button" href="<?php echo esc_url( $import_file['preview_url'] ); ?>" target="_blank"><?php esc_html_e( 'Preview', 'loversy' ); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>

                <p class="ocdi__ajax-loader  js-ocdi-ajax-loader">
                    <span class="spinner"></span> <?php esc_html_e( 'Importing, please wait!', 'loversy' ); ?>
                </p>
            </div>

            <div id="js-ocdi-modal-content"></div>
        <?php else : ?>
            <div class="notification notification-warning">
                <p>
                    <span><?php esc_html_e( 'Please active the One Click Demo Import plugin to import demo content.', 'loversy' ); ?></span>

                    <a class="loversy-click" href="#" data-content="install-plugins" data-plugin="one-click-demo-import">
                        <?php esc_html_e( 'Active Now', 'loversy' ); ?>
                    </a>
                </p>
            </div>
        <?php endif; ?>
    <?php endif; ?>
</div>
