<?php
//=================================================
// Install plugins
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

$plugin_deactivated = '';
$plugin_activated   = '';
$tgmpa              = TGM_Plugin_Activation::get_instance();
?>

<div class="install-plugins nav-content" data-content="install-plugins">
    <?php if ( isset( $_GET['loversy-deactivate'] ) && $_GET['loversy-deactivate'] == 'deactivate-plugin' ) : ?>
        <?php $plugin_deactivated = $_GET['plugin_name']; ?>

        <div class="notification notification-warning">
            <?php printf( '<p>%1$s, %2$s <strong>%3$s</strong>', esc_attr( $plugin_deactivated ), esc_html( 'plugin', 'loversy' ), esc_html( 'deactivated.', 'loversy' ) ); ?>
        </div>
    <?php endif; ?>
    
    <?php if ( isset( $_GET['loversy-activate'] ) && $_GET['loversy-activate'] == 'activate-plugin' ) : ?>
        <?php $plugin_activated = $_GET['plugin_name']; ?>

        <div class="notification notification-success">
            <?php printf( '<p>%1$s, %2$s <strong>%3$s</strong>', esc_attr( $plugin_activated ), esc_html( 'plugin', 'loversy' ), esc_html( 'activated.', 'loversy' ) ); ?>
        </div>
    <?php endif; ?>

    <h3><?php esc_html_e( 'Theme required and recommended plugins:', 'loversy' ); ?></h3>
    <p><?php esc_html_e( 'Choose, install and activate plugins to experience all of the Loversy theme features. If you want to install all of them, just click a button below.', 'loversy' ); ?></p>

    <hr>
    
    <?php if ( true !== $tgmpa->is_tgmpa_complete() ) : ?>
        <p>
            <a class="button button-secondary button-large" href="<?php echo esc_url( admin_url( 'themes.php?page=install-required-plugins' ) ); ?>"><?php esc_html_e ( 'Activate all plugins at once', 'loversy' ); ?></a>
        </p>
    <?php endif; ?>
    
    <div class="row">
        <?php array_multisort( array_column( $plugins, 'order' ), SORT_ASC, $plugins ); ?>
        
        <?php foreach ( $plugins as $plugin ) :
            $class = '';
            $plugin_status = '';
            $active_action_class = '';
            $file_path = $plugin['file_path'];
            $plugin_action = $tgm_obj->loversy_plugin_link( $plugin );
            
            foreach ( $plugin_action as $action => $value ) {
                if ( $active_action == $action ) {
                    $active_action_class = ' plugin-' . $active_action . '';
                }
            }
            
            $is_plug_act = 'is_plugin_active';
            
            if ( $is_plug_act( $file_path ) ) {
                $plugin_status = 'active';
                $class         = 'active';
            }
            ?>

            <div class="col-3<?php echo ( isset( $_GET['kirki'] ) && $_GET['kirki'] == 'yes' && $plugin['slug'] == 'kirki' ) ? ' this' : ''; ?>" id="<?php echo esc_attr( $plugin['slug'] ); ?>">
                <div class="col-content">
                    <div class="plugin-card-top">
                        <ul class="plugin-action-buttons">
                            <li>
                                <?php foreach ( $plugin_action as $action ) : ?>
                                    <?php echo( '' . $action ); ?>
                                <?php endforeach; ?>
                            </li>
                        </ul>

                        <h3><?php echo esc_html( $plugin['name'] ); ?></h3>

                        <p><?php echo esc_html( $plugin['description'] ); ?></p>
                    </div>

                    <div class="plugin-card-bottom clearfix">
                        <?php if ( ! isset ( $plugin_action['deactivate'] ) ) : ?>
                            <div class="f-right">
                                <?php if ( $plugin['required'] ) : ?>
                                    <div class="plugin-required">
                                        <?php esc_html_e( 'Required', 'loversy' ); ?>
                                    </div>
                                <?php else : ?>
                                    <div class="plugin-recommended">
                                        <?php esc_html_e( 'Recommended', 'loversy' ); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <div class="column-status">
                            <?php if ( isset ( $plugin_action['install'] ) ) : ?>
                                <p class="mt-0"><?php esc_html_e( 'Status: Not installed', 'loversy' ); ?></p>
                            <?php elseif ( isset ( $plugin_action['activate'] ) ) : ?>
                                <p class="mt-0"><?php esc_html_e( 'Status: Installed but not activated', 'loversy' ); ?></p>
                            <?php elseif ( isset ( $plugin_action['deactivate'] ) || ( $plugin_action['update'] ) ) : ?>
                                <p class="mt-0 green"><?php esc_html_e( 'Status: Activated', 'loversy' ); ?></p>
                            <?php endif; ?>
                        </div>
                        
                        <?php if ( isset ( $installed_plugins[$plugin['file_path']] ) ) : ?>
                            <div class="column-version">
                                <p class="mb-0"><?php echo sprintf( esc_html__('Version: %s','loversy'), esc_html( $installed_plugins[$plugin['file_path']]['Version'] ) ); ?></p>
                            </div>
                        <?php else : ?>
                            <div class="column-version">
                                <p class="mb-0"><?php echo sprintf( esc_html__('Version: %s','loversy'), esc_html( $plugin['version'] ) ); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>
