<?php
//=================================================
// Welcome page
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

require_once( get_template_directory() . '/inc/admin/welcome/classes/welcome-class.php' );

// Theme
$theme                   = wp_get_theme();
$theme_name              = $theme->get( 'Name' );
$theme_version           = $theme->get( 'Version' );
$theme_slug              = $theme->get( 'TextDomain' );
$theme_screenshot        = $theme->get_screenshot();
$theme_documentation_url = 'https://store.adveits.com/project/' . $theme->get( 'TextDomain' ) . '/wp/documentation/';
$theme_purchase_code_url = 'https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-';
$theme_author_url        = 'https://www.adveits.com/en/';
$theme_author_email      = 'support@adveits.com';
$theme_fb_community      = 'https://www.facebook.com/groups/adveitsthemes/';

// Plugins
$plugins           = TGM_Plugin_Activation::$instance->plugins;
$installed_plugins = get_plugins();
$active_action     = '';
$tgm_obj           = new loversy_install_plugins();

// Demo
$ins_demo_stat = get_theme_mod( 'loversy_demo_installed' );
$ins_demo_id   = get_theme_mod( 'loversy_installed_demo_id' );

$config_obj    = new loversy_theme_config();
$wp_loversy_theme = $config_obj->demo_status();
?>

<div class="loversy wrap">
    <div class="loversy-welcome">
        <div class="clearfix">
            <div class="d-inl v-middle screenshot">
                <img height="180" src="<?php echo esc_url( $theme_screenshot ); ?>">
            </div>

            <div class="d-inl v-middle text">
                <h1 class="p-0"><?php echo esc_html__( 'Welcome to', 'loversy' ) . ' ' . '<span>' . esc_html( $theme_name ) . ' ' . esc_html__( 'theme!', 'loversy' ) . '</span>'; ?></h1>

                <p><?php echo esc_html__( 'Version', 'loversy' ) . ': ' . '<span>' . esc_html( $theme_version ) . '</span>'; ?></p>
                <p><cite><?php esc_html_e( 'By: Adveits', 'loversy' ); ?></cite></p>
            </div>
        </div>
    </div>

    <div class="loversy-content">
        <h2 class="nav-tab-wrapper">
            <?php if ( $wp_loversy_theme ) : ?>
                <a href="#" data-content="getting-started" class="nav-tab nav-tab-active"><?php esc_html_e( 'Getting started', 'loversy' ); ?></a>
                <a href="#" data-content="install-plugins" class="nav-tab"><?php esc_html_e( 'Plugins', 'loversy' ); ?></a>
                <a href="#" data-content="install-demos" class="nav-tab"><?php esc_html_e( 'Demos', 'loversy' ); ?></a>
                <a href="#" data-content="system-status" class="nav-tab"><?php esc_html_e( 'System status', 'loversy' ); ?></a>
            <?php else: ?>
                <a href="#" data-content="template-activation" class="nav-tab nav-tab-active"><?php esc_html_e( 'Activation', 'loversy' ); ?></a>
            <?php endif; ?>
        </h2>

        <div class="nav-tab-content">
            <?php if ( $wp_loversy_theme ) : ?>
                <?php require_once( get_template_directory() . '/inc/admin/welcome/template/getting-started.php' ); ?>
                <?php require_once( get_template_directory() . '/inc/admin/welcome/template/install-plugins.php' ); ?>
                <?php require_once( get_template_directory() . '/inc/admin/welcome/template/install-demos.php' ); ?>
                <?php require_once( get_template_directory() . '/inc/admin/welcome/template/system-status.php' ); ?>
            <?php else: ?>
                <?php require_once( get_template_directory() . '/inc/admin/welcome/template/activation.php' ); ?>
            <?php endif; ?>
        </div>
    </div>
</div>
