<?php
//=================================================
// Include the TGM_Plugin_Activation class
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.1.0
//=================================================

require_once get_template_directory() . '/inc/admin/welcome/tgm/class-tgm-plugin-activation.php';

function loversy_register_required_plugins() {
    // Plugins
    $plugins = array(
        array(
            'name'               => esc_html__( 'Loversy core', 'loversy' ),
            'description'        => esc_html__( 'Add-ons for Loversy theme', 'loversy' ),
            'slug'               => 'loversy-core',
            'source'             => 'https://store.adveits.com/project/loversy/wp/plugins/loversy-core.zip',
            'required'           => true,
            'version'            => '1.0.0',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '1'
        ),
        array(
            'name'               => esc_html__( 'Advanced Custom Fields PRO', 'loversy' ),
            'description'        => esc_html__( 'Customize WordPress with powerful, professional and intuitive fields.', 'loversy' ),
            'slug'               => 'advanced-custom-fields-pro',
            'source'             => 'https://store.adveits.com/private/wp/plugins/advanced-custom-fields-pro.zip',
            'required'           =>  true,
            'version'            => '5.8.11',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '2'
        ),
        array(
            'name'               => esc_html__( 'Elementor Page Builder', 'loversy' ),
            'description'        => esc_html__( 'The most advanced frontend drag & drop page builder. Create high-end, pixel perfect websites at record speeds. Any theme, any page, any design.', 'loversy' ),
            'slug'               => 'elementor',
            'required'           => true,
            'version'            => '2.9.9',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '3'
        ),
        array(
            'name'               => esc_html__( 'Kirki Customizer Framework', 'loversy' ),
            'description'        => esc_html__( 'The Ultimate WordPress Customizer Framework.', 'loversy' ),
            'slug'               => 'kirki',
            'required'           => true,
            'version'            => '3.1.3',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '4'
        ),
        array(
            'name'               => esc_html__( 'One Click Demo Import', 'loversy' ),
            'description'        => esc_html__( 'Import your content, widgets and theme settings with one click. Theme authors! Enable simple demo import for your theme demo data.', 'loversy' ),
            'slug'               => 'one-click-demo-import',
            'required'           => true,
            'version'            => '2.5.2',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '4'
        ),
        array(
            'name'               => esc_html__( 'Adveits Portfolio', 'loversy' ),
            'description'        => esc_html__( 'This plugin allows you to manage, edit, and create new portfolio items in an unlimited number of portfolios.', 'loversy' ),
            'slug'               => 'adveits-portfolio',
            'source'             => 'https://store.adveits.com/private/wp/plugins/adveits-portfolio.zip',
            'required'           => true,
            'version'            => '1.1.0',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '5'
        ),
        array(
            'name'               => esc_html__( 'Contact Form 7', 'loversy' ),
            'description'        => esc_html__( 'Just another contact form plugin. Simple but flexible.', 'loversy' ),
            'slug'               => 'contact-form-7',
            'required'           => true,
            'version'            => '5.1.7',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '6'
        ),
        array(
            'name'               => esc_html__( 'Yoast SEO', 'loversy' ),
            'description'        => esc_html__( 'The first true all-in-one SEO solution for WordPress, including on-page content analysis, XML sitemaps and much more.', 'loversy' ),
            'slug'               => 'wordpress-seo',
            'required'           => false,
            'version'            => '13.0',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '7'
        ),
        array(
            'name'               => esc_html__( 'Autoptimize', 'loversy' ),
            'description'        => esc_html__( 'Autoptimize speeds up your website by optimizing JS, CSS, images (incl. lazy-load), HTML and Google Fonts, asyncing JS, removing emoji cruft and more.', 'loversy' ),
            'slug'               => 'autoptimize',
            'required'           => false,
            'version'            => '2.7.2',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '8'
        ),
        array(
            'name'               => esc_html__( 'Loco Translate', 'loversy' ),
            'description'        => esc_html__( 'Translate themes and plugins directly in WordPress.', 'loversy' ),
            'slug'               => 'loco-translate',
            'required'           => false,
            'version'            => '2.3.1',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '9'
        ),
        array(
            'name'               => esc_html__( 'Envato Market - Auto Theme Updates', 'loversy' ),
            'description'        => esc_html__( 'Enables automatic theme updates on your site.', 'loversy' ),
            'slug'               => 'envato-market',
            'source'             => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
            'required'           => false,
            'version'            => '2.0.3',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
            'order'              => '10'
        ),
    );
    
    // Configuration of TGM
    $config = array(
        'id'           => 'loversy',
        'default_path' => '',
        'menu'         => 'install-required-plugins',
        'parent_slug'  => 'themes.php',
        'capability'   => 'edit_theme_options',
        'has_notices'  => false,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => ''
    );
    
    tgmpa( $plugins, $config );
}

//=================================================
// Theme check
//=================================================
$config_obj    = new loversy_theme_config();
$wp_loversy_theme = $config_obj->demo_status();

if ( $wp_loversy_theme ) {
    add_action( 'tgmpa_register', 'loversy_register_required_plugins' );
}
