<?php
//=================================================
// Welcome page
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

//=================================================
// Required files
//=================================================
//=============================
// Welcome class
//=============================
require_once get_template_directory() . '/inc/admin/welcome/classes/welcome-class.php';

//=============================
// TGM init
//=============================
require_once get_template_directory() . '/inc/admin/welcome/tgm/tgm-init.php';

//=================================================
// Core
//=================================================
if ( ! function_exists( 'loversy_core' ) ) {
    function loversy_core() {
        global $loversy_core;
        $loversy_core = array();
        
        $loversy_menu     = new loversy_admin_menu( $loversy_core );
        $loversy_redirect = new loversy_redirect( $loversy_core );
        
        $loversy_menu->run();
        $loversy_redirect->run();
    }
    
    add_action( 'init', 'loversy_core', 10, 1 );
}

//=================================================
// Notification
//=================================================
function loversy_activation_field_warning() { ?>
    <div class="error">
        <p><?php printf( esc_html__( 'The %s must be activated!', 'loversy' ), '<a href="' . get_option( 'siteurl' ) . '/wp-admin/themes.php?page=welcome_to_loversy_theme">Loversy theme</a>' ); ?></p>
    </div>
    <?php
}

if ( get_option( 'envato_purchase_code' ) == '' && get_option( 'demo' ) == 'demo' && get_option( 'status' ) == 'purchase' ) {
    add_action( 'admin_notices', 'loversy_activation_field_warning' );
}
