<?php
//=================================================
// The shortcode is for displaying post
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$blog_page_show_post_category       = get_theme_mod( 'blog_page_show_post_category', true );
$blog_page_show_post_title          = get_theme_mod( 'blog_page_show_post_title', true );
$blog_page_show_post_author         = get_theme_mod( 'blog_page_show_post_author', true );
$blog_page_show_post_comments_count = get_theme_mod( 'blog_page_show_post_comments_count', true );
$blog_page_show_post_excerpt        = get_theme_mod( 'blog_page_show_post_excerpt', true );
$blog_page_show_post_link           = get_theme_mod( 'blog_page_show_post_link', true );

$args                               = array(
    'post_type'           => 'post',
    'posts_per_page'      => $num,
    'ignore_sticky_posts' => 1,
    'order'               => $order,
    'orderby'             => $orderby
);

$query = new WP_Query( $args );
?>

<?php if ( $query->have_posts() ) : ?>
    <div class="row gutter-width-md with-pb-md">
        <?php while ( $query->have_posts() ) : $query->the_post(); $index = $query->current_post + 1; ?>
            <div class="col-xl-4 col-lg-4 <?php if ( $index == 3 ) { echo 'd-lg-block d-md-none d-sm-none'; } else { echo 'col-md-6 col-sm-6'; }; ?>">
                <?php
                $no_thumbnail = '';

                if ( ! has_post_thumbnail() ) {
                    $no_thumbnail = 'no-thumbnail';
                }
                ?>

                <div id="post-<?php the_ID(); ?>" <?php post_class( 'card card-post ' . $no_thumbnail ); ?>>
                    <?php if ( has_post_thumbnail() ) : ?>
                        <div class="card-top position-relative">
                            <a title="<?php the_title_attribute(); ?>" href="<?php echo esc_url( get_permalink() ); ?>">
                                <?php loversy_post_thumbnail(); ?>
                            </a>
                        </div>
                    <?php endif; ?>

                    <div class="card-body">
                        <?php if ( $blog_page_show_post_author == true || $blog_page_show_post_comments_count == true || $blog_page_show_post_category == true ) : ?>
                            <div class="card-meta">
                                <p>
                                    <?php if ( $blog_page_show_post_author == true ) : ?>
                                        <span><?php loversy_posted_by(); ?></span>
        
                                        <?php if ( $blog_page_show_post_comments_count == true || $blog_page_show_post_category == true ) : ?>
                                            <span>-</span>
                                        <?php endif; ?>
                                    <?php endif; ?>
    
                                    <?php if ( $blog_page_show_post_comments_count == true ) : ?>
                                        <span><?php esc_html_e( 'Comments', 'loversy' ); ?> (<?php loversy_comments_count(); ?>)</span>
        
                                        <?php if ( $blog_page_show_post_category == true ) : ?>
                                            <span>-</span>
                                        <?php endif; ?>
                                    <?php endif; ?>
    
                                    <?php if ( $blog_page_show_post_category == true ) : ?>
                                        <span><?php loversy_post_category(); ?></span>
                                    <?php endif; ?>
                                </p>
                            </div>
                        <?php endif; ?>

                        <?php if ( true == $blog_page_show_post_title ) : ?>
                            <?php the_title( '<h5 class="card-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h5>' ); ?>
                        <?php endif; ?>

                        <?php if ( $blog_page_show_post_excerpt == true ) : ?>
                            <p class="card-text"><?php loversy_the_excerpt( 20 ); ?></p>
                        <?php endif; ?>
                            
                        <?php if ( $blog_page_show_post_link == true ) : ?>
                            <div class="card-btn no-space">
                                <a title="<?php esc_attr_e( 'Read me', 'loversy' ); ?>" class="btn btn-link btn-line p-0 border-0 min-w-auto text-uppercase before" href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html_e( 'Read me', 'loversy' ); ?></a>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
        
        <?php wp_reset_postdata(); ?>
    </div>
<?php endif; ?>
