<?php
//=================================================
// The shortcode is for displaying portfolio
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
?>

<div class="gallery">
    <?php $portfolio_category = get_terms( 'adveits_portfolio_category' ); ?>

    <ul class="gallery-filter">
        <li>
            <a title="All" class="btn btn-link text-uppercase click active" data-filter="*" href="#"><?php esc_html_e( 'All', 'loversy' ); ?></a>
        </li>
        
        <?php foreach ( $portfolio_category as $category ) : ?>
            <li>
                <span class="btn btn-link text-uppercase">-</span>
            </li>

            <li>
                <a title="<?php echo esc_attr( $category->name ); ?>" class="btn btn-link text-uppercase click" data-filter=".<?php echo esc_attr( $category->slug ); ?>" href="#"><?php echo esc_html( $category->name ); ?></a>
            </li>
        <?php endforeach; ?>
    </ul>
    
    <?php
    $args = array(
        'post_type'      => 'adveits_portfolio',
        'posts_per_page' => $num,
        'order'          => $order,
        'orderby'        => $orderby
    );
    
    $query = new WP_Query( $args );
    ?>
    
    <?php if ( $query->have_posts() ) : ?>
        <div class="gallery-item-wrapper">
            <div class="gallery-items">
                <?php
                while ( $query->have_posts() ) :
                    $query->the_post();
                    
                    get_template_part( 'template-parts/content', 'portfolio' );
                endwhile;
                
                wp_reset_postdata();
                ?>
            </div>
        </div>
    <?php endif; ?>
</div><!-- .gallery -->
