<?php
//=================================================
// Template callback for loversy theme
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

//=================================================
// Comments
//=================================================
if ( ! function_exists( 'loversy_comments' ) ) {
    // Comment reply link
    add_filter( 'comment_reply_link', 'loversy_replace_reply_link_class' );
    
    function loversy_replace_reply_link_class( $class ) {
        $class = str_replace( "class='comment-reply-link", "class='comment-reply-link btn btn-link btn-line p-0 border-0 min-w-auto text-uppercase before", $class );
        
        return $class;
    }
    
    // Comment
    function loversy_comments( $comment, $args, $depth ) { ?>
    <li <?php comment_class(); ?> id="li-comment-<?php echo esc_attr( $comment->comment_ID ); ?>">
        <div class="comment-wrapper" id="comment-<?php echo esc_attr( $comment->comment_ID ); ?>">
            <div class="comment-details">
                <div class="comment-content">
                    <?php $show_avatars = get_option( 'show_avatars' ); ?>
                    <?php $comment_type = $comment->comment_type; ?>
                    
                    <?php if ( ! $comment_type == 'pingback' || ! $comment_type == 'trackback' ) : ?>
                        <?php if ( $show_avatars == 1 ) : ?>
                            <div class="comment-content-left">
                                <div class="comment-img">
                                    <?php echo get_avatar( $comment, $args['avatar_size'] ); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>

                    <div class="comment-content-right<?php if ( $show_avatars == 0 || $comment_type == 'pingback' || $comment_type == 'trackback' ) : ?> pl-0<?php endif; ?>">
                        <h5 class="comment-author after">
                            <?php echo get_comment_author_link(); ?>
                            
                            <?php if ( $comment->comment_approved == '0' ) : ?>
                                <span class="s-small"><?php _e( '( Your comment is awaiting moderation. )', 'loversy' ); ?></span>
                            <?php endif; ?>
                        </h5>

                        <div class="comment-time">
                            <p><?php printf( "%s, %s", get_comment_time( 'g:i A' ), get_comment_date( 'F Y' ) ); ?></p>
                        </div>

                        <div class="comment-description">
                            <?php comment_text(); ?>
                        </div>
                        
                        <?php
                        $reply_text = esc_html__( 'Reply', 'loversy' );
                        $before     = '<div class="comment-reply no-space">';
                        $after      = '</div>';
                        ?>
                        
                        <?php comment_reply_link(
                            array_merge(
                                $args, array(
                                    'reply_text' => $reply_text,
                                    'depth'      => $depth,
                                    'max_depth'  => $args['max_depth'],
                                    'before'     => $before,
                                    'after'      => $after
                                )
                            )
                        ); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php }
}
