<?php
//=================================================
// The template for displaying all pages
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

get_header();

$breadcrumb_show_on_page = get_theme_mod( 'breadcrumb_show_on_page', false );
?>

    <section id="page-title">
        <div class="wrapper">
            <div class="title">
                <?php loversy_post_title(); ?>
            </div>
   
            <?php if ( $breadcrumb_show_on_page == true ) : ?>
                <div class="spacer m-top-md">
                    <?php loversy_breadcrumb(); ?>
                </div>
            <?php endif; ?>
        </div>
    </section><!-- #page-title -->

    <div id="page-content" class="spacer p-top-xl">
        <div id="post-<?php the_ID(); ?>" <?php post_class( 'wrapper' ); ?>>
            <div class="content">
                <?php
                while ( have_posts() ) :
                    the_post();

                    get_template_part( 'template-parts/content', 'page' );
                endwhile;

                wp_reset_postdata();
                ?>

                <?php
                if ( comments_open() || get_comments_number() > 0 ) :
                    comments_template();
                endif;
                ?>
            </div>
        </div>
    </div><!-- #page-content -->

<?php
get_footer();
