<?php
//=================================================
// The template for displaying all single posts
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

get_header();

$breadcrumb_show_on_single_post_page = get_theme_mod( 'breadcrumb_show_on_single_post_page', true );
$blog_page_description               = get_theme_mod( 'blog_page_description', '' );
?>

    <section id="page-title">
        <div class="wrapper">
            <div class="title">
                <?php if ( is_singular( 'post' ) ) : ?>
                    <?php loversy_archive_title(); ?>
                <?php else : ?>
                    <?php loversy_post_title(); ?>
                <?php endif; ?>
            </div>
            
            <?php if ( ! empty( $blog_page_description ) ) : ?>
                <div class="spacer m-top-md">
                    <div class="row gutter-width-md">
                        <div class="col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <?php if ( $breadcrumb_show_on_single_post_page == true ) : ?>
                                <?php loversy_breadcrumb(); ?>
                            <?php endif; ?>
                        </div>

                        <div class="col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <div class="description-3">
                                <p><?php echo wp_kses( $blog_page_description, 'loversy-theme-typography' ); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php else : ?>
                <?php if ( $breadcrumb_show_on_single_post_page == true ) : ?>
                    <div class="spacer m-top-md">
                        <?php loversy_breadcrumb(); ?>
                    </div>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    </section><!-- #page-title -->

    <div id="page-content" class="spacer p-top-xl">
        <div id="post-<?php the_ID(); ?>" <?php post_class( 'wrapper' ); ?>>
            <div class="content">
                <div id="single">
                    <div class="row gutter-width-md">
                        <?php $single_post_page_layout = get_theme_mod( 'single_post_page_layout' ); ?>
                        
                        <?php if ( $single_post_page_layout && ( $single_post_page_layout == 'full' || $single_post_page_layout == 'left_sidebar' ) ) : ?>
                            <?php if ( $single_post_page_layout == 'full' ) : ?>
                                <div class="col-12 single-content">
                                    <?php
                                    while ( have_posts() ) :
                                        the_post();
                                        
                                        get_template_part( 'template-parts/content', 'single' );
                                    endwhile;
                                    
                                    wp_reset_postdata();
                                    ?>
                                    
                                    <?php
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;
                                    ?>
                                </div>
                            <?php elseif ( $single_post_page_layout == 'left_sidebar' ) : ?>
                                <?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
                                    <div class="col-xl-4 col-lg-4 col-md-12 order-1 order-lg-0 order-xl-0">
                                        <?php get_sidebar(); ?>
                                    </div>
                                <?php endif; ?>

                                <div class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-xl-8 col-lg-8<?php else : ?>col-xl-12 col-lg-12<?php endif; ?> col-md-12 order-0 order-lg-1 order-xl-1 single-content">
                                    <?php
                                    while ( have_posts() ) :
                                        the_post();
                                        
                                        get_template_part( 'template-parts/content', 'single' );
                                    endwhile;
                                    
                                    wp_reset_postdata();
                                    ?>
                                    
                                    <?php
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;
                                    ?>
                                </div>
                            <?php endif; ?>
                        <?php else : ?>
                            <div class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-xl-8 col-lg-8<?php else : ?>col-xl-12 col-lg-12<?php endif; ?> col-md-12 single-content">
                                <?php
                                while ( have_posts() ) :
                                    the_post();
                                    
                                    get_template_part( 'template-parts/content', 'single' );
                                endwhile;
                                
                                wp_reset_postdata();
                                ?>
                                
                                <?php
                                if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                                endif;
                                ?>
                            </div>
                            
                            <?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
                                <div class="col-xl-4 col-lg-4 col-md-12">
                                    <?php get_sidebar(); ?>
                                </div>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- #page-content -->

<?php
get_footer();
