<?php
//=================================================
// Template part for displaying works content in archive-works.php and single-works.php
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$category = get_the_terms( get_the_ID(), 'adveits_portfolio_category' );
?>

<?php if ( is_singular( 'adveits_portfolio' ) ) : ?>
    <div class="description">
        <?php
        the_content();
        
        wp_link_pages(
            array(
                'before'      => '<div class="pagination">',
                'after'       => '</div>',
                'link_before' => '<span class="page-link">',
                'link_after'  => '</span>',
            )
        );
        ?>
    </div>
 
    <?php loversy_post_tags(); ?>
    
    <?php loversy_portfolio_gallery(); ?>
    
    <?php loversy_portfolio_pagination(); ?>
<?php else : ?>
    <?php
    $class = '';
    
    if ( $category ) {
        foreach ( $category as $slug ) {
            $class .= ' ' . esc_attr( $slug->slug );
        }
    } else {
        $class .= '';
    }
    ?>

    <div id="post-<?php the_ID(); ?>" <?php post_class( 'gallery-item active' . $class ); ?>>
        <a title="<?php the_title_attribute(); ?>" class="gallery-item-content" href="<?php echo esc_url( get_permalink() ); ?>">
            <?php
            $thumb_id           = get_post_thumbnail_id();
            $thumb_medium_large = wp_get_attachment_image_src( $thumb_id, 'medium_large', true );
            ?>

            <div class="img object-fit">
                <div class="object-fit-cover">
                    <?php if ( has_post_thumbnail() ) : ?>
                        <img src="<?php echo esc_url( $thumb_medium_large[0] ); ?>" alt="<?php the_title_attribute(); ?>">
                    <?php endif; ?>
                </div>
            </div>

            <div class="gallery-hover">
                <h5 class="gallery-item-title"><?php the_title_attribute(); ?></h5>

                <p class="gallery-item-description"><?php loversy_the_excerpt( 6 ); ?></p>

                <div class="gallery-item-btn no-space">
                    <span class="btn btn-link btn-line p-0 border-0 min-w-auto text-uppercase"><?php esc_html_e( 'More', 'loversy' ); ?></span>
                </div>
            </div>
        </a>
    </div>
<?php endif; ?>
