<?php
//=================================================
// Template part for displaying posts
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$single_post_page_show_date           = get_theme_mod( 'single_post_page_show_date', false );
$single_post_page_show_author         = get_theme_mod( 'single_post_page_show_author', true );
$single_post_page_show_comments_count = get_theme_mod( 'single_post_page_show_comments_count', true );
$single_post_page_show_category       = get_theme_mod( 'single_post_page_show_category', true );
?>

<?php loversy_post_thumbnail(); ?>

<div class="meta">
    <p>
        <?php if ( $single_post_page_show_date == true ) : ?>
            <?php loversy_posted_on(); ?>
    
            <?php if ( $single_post_page_show_author == true ||  $single_post_page_show_comments_count == true || $single_post_page_show_category == true ) : ?>
                <span>-</span>
            <?php endif; ?>
        <?php endif; ?>
        
        <?php if ( $single_post_page_show_author == true ) : ?>
            <span><?php loversy_posted_by(); ?></span>
    
            <?php if ( $single_post_page_show_comments_count == true || $single_post_page_show_category == true ) : ?>
                <span>-</span>
            <?php endif; ?>
        <?php endif; ?>
        
        <?php if ( $single_post_page_show_comments_count == true ) : ?>
            <span><?php esc_html_e( 'Comments', 'loversy' ); ?> (<?php loversy_comments_count(); ?>)</span>
    
            <?php if ( $single_post_page_show_category == true ) : ?>
                <span>-</span>
            <?php endif; ?>
        <?php endif; ?>
        
        <?php if ( $single_post_page_show_category == true ) : ?>
            <span class="category"><?php loversy_post_category(); ?></span>
        <?php endif; ?>
    </p>
</div>

<?php if ( is_singular( 'post' ) ) : ?>
    <div class="title">
        <?php loversy_post_title(); ?>
    </div>
<?php endif; ?>

<div class="description clearfix">
    <?php
    the_content();
    ?>
</div>

<?php
wp_link_pages(
    array(
        'before'      => '<div class="pagination">',
        'after'       => '</div>',
        'link_before' => '<span class="page-link">',
        'link_after'  => '</span>',
    )
);
?>

<?php loversy_post_tags(); ?>
