<?php
//=================================================
// The template for displaying archive portfolio
// 
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

get_header();
$portfolio_page_description = get_theme_mod( 'portfolio_page_description', '' );
?>

    <section id="page-title">
        <div class="wrapper">
            <div class="title">
                <?php loversy_archive_title(); ?>
            </div>
            
            <?php if ( ! empty( $portfolio_page_description ) ) : ?>
                <div class="description-2">
                    <p><?php echo wp_kses( $portfolio_page_description, 'loversy-theme-typography' ); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </section><!-- #page-title -->

    <div id="page-content" class="spacer p-top-xl">
        <div class="wrapper">
            <div class="gallery">
                <?php $portfolio_category = get_terms( 'adveits_portfolio_category' ); ?>
                
                <?php if ( ! is_tax( 'adveits_portfolio_category' ) && ! is_tax( 'adveits_portfolio_tag' ) ) : ?>
                    <ul class="gallery-filter">
                        <li>
                            <a title="<?php echo esc_attr__( 'All', 'loversy' ) ?>" class="btn btn-link text-uppercase click active" data-filter="*" href="#"><?php echo esc_html__( 'All', 'loversy' ) ?></a>
                        </li>
                        
                        <?php foreach ( $portfolio_category as $category ) : ?>
                            <li>
                                <span class="btn btn-link text-uppercase">-</span>
                            </li>

                            <li>
                                <a title="<?php echo esc_attr( $category->name ); ?>" class="btn btn-link text-uppercase click" data-filter=".<?php echo esc_attr( $category->slug ); ?>" href="#"><?php echo esc_html( $category->name ); ?></a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                <?php endif; ?>
                
                <?php
                $args = array(
                    'post_type'      => 'adveits_portfolio',
                    'posts_per_page' => -1,
                    'order'          => 'ASC'
                );
                
                $query = new WP_Query( $args );
                ?>
                
                <?php if ( $query->have_posts() ) : ?>
                    <div class="gallery-item-wrapper">
                        <div class="gallery-items">
                            <?php
                            while ( $query->have_posts() ) :
                                $query->the_post();
                                
                                get_template_part( 'template-parts/content', 'portfolio' );
                            endwhile;
                            
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div><!-- #page-content -->

<?php
get_footer();
