<?php
//=================================================
// The template for displaying single project
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

get_header();

$portfolio_page_description = get_theme_mod( 'portfolio_page_description', '' );
?>

    <?php if ( is_page_template( 'template/page-no-title-and-content-full-width.php' ) ) : ?>
        <div id="page-content">
            <div class="content">
                <div id="single">
                    <div class="single-content">
                        <?php
                        while ( have_posts() ) :
                            the_post();
        
                            get_template_part( 'template-parts/content', 'portfolio-empty' );
                        endwhile;
    
                        wp_reset_postdata();
                        ?>
                    </div>
                </div>
            </div>
        </div><!-- #page-content -->
    <?php else : ?>
        <section id="page-title">
            <div class="wrapper">
                <div class="title">
                    <?php loversy_post_title(); ?>
                </div>
    
                <div class="description-2">
                    <p><?php echo wp_kses( $portfolio_page_description, 'loversy-theme-typography' ); ?></p>
                </div>
            </div>
        </section>
    
        <div id="page-content" class="spacer p-top-xl">
            <div id="post-<?php the_ID(); ?>" <?php post_class( 'wrapper' ); ?>>
                <div class="content">
                    <div id="single">
                        <div class="single-content">
                            <?php
                            while ( have_posts() ) :
                                the_post();
                                
                                get_template_part( 'template-parts/content', 'portfolio' );
                            endwhile;
                            
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div><!-- #page-content -->
    <?php endif; ?>

<?php
get_footer();
