<?php
//=================================================
// Template Name: Page - Title & Content width left sidebar
// Template Post Type: page
//
// @package Loversy
// @author  Adveits <support@adveits.com>
// @version 1.0.0
//=================================================

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

get_header();
?>

    <section id="page-title">
        <div class="title">
            <?php loversy_post_title(); ?>
        </div>
        
        <?php $breadcrumb_show_on_page = get_theme_mod( 'breadcrumb_show_on_page', false ); ?>
        
        <?php if ( $breadcrumb_show_on_page == true ) : ?>
            <?php loversy_breadcrumb(); ?>
        <?php endif; ?>
    </section><!-- #page-title -->

    <div id="page-content" class="spacer p-top-xl">
        <div id="post-<?php the_ID(); ?>" <?php post_class( 'wrapper' ); ?>>
            <div class="content">
                <div id="single">
                    <div class="row gutter-width-md">
                        <?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
                            <div class="col-xl-4 col-lg-4 col-md-12 order-1 order-lg-0 order-xl-0">
                                <?php get_sidebar(); ?>
                            </div>
                        <?php endif; ?>

                        <div class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-xl-8 col-lg-8<?php else : ?>col-xl-12 col-lg-12<?php endif; ?> col-md-12 order-0 order-lg-1 order-xl-1">
                            <?php
                            while ( have_posts() ) :
                                the_post();
                                
                                get_template_part( 'template-parts/content', 'page' );
                            endwhile;
                            
                            wp_reset_postdata();
                            ?>
                            
                            <?php
                            if ( comments_open() || get_comments_number() > 0 ) :
                                comments_template();
                            endif;
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- #page-content -->

<?php
get_footer();
